Subject: Re: Lite-On ethernet controller

From: Josh Huber <[email-masked]>
Date: Wed, 31 May 2000 09:45:20 -0400

On Wed, May 31, 2000 at 09:32:12AM -0400, Jeff Garzik wrote:
> I don't understand what you mean here.
Sorry I wasn't clear.

The Tulip driver in the devel kernels is not working for me. Supposedly,
this card works with the driver in later 2.2 kernels.  I can't get 2.2.x to
boot on this machine I have, which is why I'm using 2.4 pre versions.

What I meant by the newer tulip driver was the version available from Don
Becker's tulip development page.

> > Does anyone know of forward-ported tulip drivers?
>
> A tulip driver exists in the 2.4pre kernel.  Are you having problems
> with that driver?
Yes.

> > The particular error I'm seeing only happens with moderate load -- pings and
> > other light traffic work 100%.
> >
> > Error information:
> > NETDEV WATCHDOG: eth1: transmit timed out
> > Transmit timed out, status e4660000, CSR12 000050ca, resetting...
> >
> > Device information:
> > tulip driver output:
> > eth1: Lite-On PNIC-II rev 37 at 0x1c00, 00:00:94:C5:EF:FF, IRQ 30.
>
> IRQ 30?  Is that ok for PPC?
Yes, here's the output from /proc/interrupts:
              CPU0
     1:       1820   i8259         keyboard
     2:          0   i8259         82c59 secondary cascade
     8:          2   i8259         rtc
    16:          0   OpenPIC       82c59 cascade
    27:          0   OpenPIC       NMI
    29:       4872   OpenPIC       eth0
    30:       4624   OpenPIC       eth1
    31:       6377   OpenPIC       aic7xxx

eth0 is an actual DEC tulip card, which works great.

> > lspci -vv output attached because it's too wide.
> No attachment...

Heh, sorry.  I'll attach it this time.

Josh